asyncapi: '2.0.0'
info:
  title: ReferenceManagementSystem
  version: Not defined
  description: |
    No description specified
channels:
  /createRequestChannelPath:
    subscribe:
      description: |
        
        No description specified
        
        Delivering guarantee: UNKNOWN.
        
        Request channel. Reply channel is [createReplyChannel](#operation-publish-/createReplyChannelPath)
          
      operationId: createRequestChannel
      message: 
        $ref: '#/components/messages/createRequestChannel'
  /createReplyChannelPath:
    publish:
      description: |
        
        No description specified
        
          
        Reply channel. Request channel is [createRequestChannel](#operation-subscribe-/createRequestChannelPath)
        
      operationId: createReplyChannel
      message: 
        $ref: '#/components/messages/createReplyChannel'
  /findAllRequestChannelPath:
    subscribe:
      description: |
        
        No description specified
        
        Delivering guarantee: UNKNOWN.
        
        Request channel. Reply channel is [findAllReplyChannel](#operation-publish-/findAllReplyChannelPath)
          
      operationId: findAllRequestChannel
      message: 
        $ref: '#/components/messages/findAllRequestChannel'
  /findAllReplyChannelPath:
    publish:
      description: |
        
        No description specified
        
          
        Reply channel. Request channel is [findAllRequestChannel](#operation-subscribe-/findAllRequestChannelPath)
        
      operationId: findAllReplyChannel
      message: 
        $ref: '#/components/messages/findAllReplyChannel'
  /findByIdRequestChannelPath:
    subscribe:
      description: |
        
        No description specified
        
        Delivering guarantee: UNKNOWN.
        
        Request channel. Reply channel is [findByIdReplyChannel](#operation-publish-/findByIdReplyChannelPath)
          
      operationId: findByIdRequestChannel
      message: 
        $ref: '#/components/messages/findByIdRequestChannel'
  /findByIdReplyChannelPath:
    publish:
      description: |
        
        No description specified
        
          
        Reply channel. Request channel is [findByIdRequestChannel](#operation-subscribe-/findByIdRequestChannelPath)
        
      operationId: findByIdReplyChannel
      message: 
        $ref: '#/components/messages/findByIdReplyChannel'
components:
  messages:
    createRequestChannel:
      name: createRequestChannel
      title: Create Request Channel
      description: |
        
        No description specified

        
        Request message. Reply message is *createReplyChannel*. 
      
      payload:
        type: array
        items:
          type: object
          properties:
            unnamedParameter1:
              type: object
              required:
                -  'paperItem'
                -  'title'
                -  'authors'
                -  'venue'
                -  'paperCollection'
              properties:
                'paperItem':
                  type: object
                'title':
                  type: object
                'authors':
                  type: object
                'venue':
                  type: object
                'paperCollection':
                  type: object
    createReplyChannel:
      name: createReplyChannel
      title: Create Reply Channel
      description: |

        No description specified
        
        
        Reply message. Request message is *createRequestChannel*. 
        
      payload:
        type: array
        items:
          type: object
          properties:
            unnamedParameter2:
              type: object
              required:
                -  'data'
              properties:
                'data':
                  type: string
    findAllRequestChannel:
      name: findAllRequestChannel
      title: Find All Request Channel
      description: |
        
        No description specified

        
        Request message. Reply message is *findAllReplyChannel*. 
      
      payload:
        type: object
        required:
          -  'limit'
          -  'offset'
        properties:
          'queryFilter':
            type: array
            items: 
              type: string
          'limit':
            type: integer
          'offset':
            type: integer
    findAllReplyChannel:
      name: findAllReplyChannel
      title: Find All Reply Channel
      description: |

        No description specified
        
        
        Reply message. Request message is *findAllRequestChannel*. 
        
      payload:
        type: array
        items:
          type: object
          required:
            -  'responseDTO'
            -  'offset-out'
            -  'limit-out'
            -  'size'
            -  'self'
            -  'next'
          properties:
            'responseDTO':
              $ref: '#/components/schemas/PaperPublishingRealizationEndpointDTO'
            'offset-out':
              type: integer
            'limit-out':
              type: integer
            'size':
              type: integer
            'self':
              type: string
            'next':
              type: string
    findByIdRequestChannel:
      name: findByIdRequestChannel
      title: Find By Id Request Channel
      description: |
        
        No description specified

        
        Request message. Reply message is *findByIdReplyChannel*. 
      
      payload:
        type: object
        required:
          -  'resourceId'
        properties:
          'resourceId':
            type: integer
          'desiredElements':
            type: array
            items: 
              type: string
    findByIdReplyChannel:
      name: findByIdReplyChannel
      title: Find By Id Reply Channel
      description: |

        No description specified
        
        
        Reply message. Request message is *findByIdRequestChannel*. 
        
      payload:
          $ref: '#/components/schemas/PaperPublishingRealizationEndpointDTO'
  schemas:
    PaperPublishingRealizationEndpointDTO:
      type: object
      required:
        -  'key'
        -  'paperPublishingRealizationEndpointData'
      properties:
        'key':
          type: string
        'paperPublishingRealizationEndpointData':
          type: string
